#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#


__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages
from pyramid.view import view_config


@view_config(name='get-notifications-context.json', renderer='json', xhr=True)
def NotificationsContextView(request):
    """Get context for notifications"""
    principal = request.principal
    return {'principal': {'id': principal.id,
                          'title': principal.title,
                          'principals': tuple(request.effective_principals)},
            'context': {'*': ['user.login', 'content.workflow']}}
